using System;

internal sealed class Delegate576 : MulticastDelegate
{
	public extern void Invoke(object object_0, bool bool_0);

	public static void smethod_0(object object_0, bool bool_0, Delegate576 delegate576_1)
	{
		delegate576_1(object_0, bool_0);
	}

	public extern Delegate576(object object_0, IntPtr intptr_0);

	static Delegate576()
	{
		Class10.smethod_13(typeof(Delegate576).TypeHandle);
	}

	internal static Delegate576 delegate576_0;
}
